FullWrtParserInternal::ReferenceCalledData Struct Reference

Internal: the reference data call of a FullWrtParser. More...

## Public Member Functions

| ReferenceCalledData ()

## Public Attributes

int | m_id
| the reference id
int | m_values [5]
| some unknown values

## Friends

std::ostream & | operator<< (std::ostream &o, ReferenceCalledData const &dt)
| the operator<<

## Detailed Description

Internal: the reference data call of a FullWrtParser.

## Constructor & Destructor Documentation

## ReferenceCalledData()

FullWrtParserInternal::ReferenceCalledData::ReferenceCalledData | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ReferenceCalledData const & | dt )

friend

the operator<<

## Member Data Documentation

## m_id

int FullWrtParserInternal::ReferenceCalledData::m_id

the reference id

Referenced by operator<<, FullWrtParser::readDocZoneData(), and ReferenceCalledData().

## m_values

int FullWrtParserInternal::ReferenceCalledData::m_values[5]

some unknown values

Referenced by operator<<, FullWrtParser::readDocZoneData(), and ReferenceCalledData().

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx